require "bundler/setup"
Bundler.require :default

def call
  2+2
  x = 2
end

tracer = Pask.new
tracer.interested? { |e| e.call? or e.return? }
tracer.trace { call }
event1 = tracer.start
puts "[-] call() called. value of x is #{event1.binding.eval('x').inspect}."
event2 = tracer.resume
puts "[-] call() returned. value of x is now #{event2.binding.eval('x')}."
