require "bundler"
Bundler.require :default

def call
  sleep(1)
end

puts "[-] going to sleep for a second, hold tight!"
tracer = Pask.new
tracer.interested? { |e| e.call? or e.return? }
tracer.trace { call }
events = tracer.consume!
puts "[-] #{events.at(0).signature} took #{events.at(1) - events.at(0)} second(s) to finish"
